Package: groovy.transform

## [Java] Enum TypeCheckingMode

- groovy.transform.TypeCheckingMode

- This enumeration can be used whenever it is preferred to annotate a class as TypeChecked in general, but where only one or more methods are "dynamic". This allows the user to annotate the class itself then annotate only the methods which require exclusion.

  Authors:
    Cedric Champeau

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `PASS` |
    `SKIP` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TypeCheckingMode PASS

    - #### TypeCheckingMode SKIP